This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 89520 - glib doesn't build without redhat-rpm-config?
glib doesn't build without redhat-rpm-config?
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: glib (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-23 15:09 EDT by Jeff Johnson
Modified: 2015-01-07 19:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-14 14:17:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log of failed glib build (38.71 KB, text/plain)
2003-04-23 16:12 EDT, Aaron Hanson
no flags Details

  None (edit)
Description Jeff Johnson 2003-04-23 15:09:08 EDT
This smells like a needless and unnecessary bug:

On Wed, Apr 23, 2003 at 11:52:53AM -0700, Aaron Hanson wrote:
> It seems that if /usr/lib/rpm/redhat/macros is present, it overrides
/usr/lib/rpm/macros. This is what I'm seeing. And the redhat glib source rpm
only builds with the redhat version of macros.
>

Yes, overrides, but you claimed no (well strangely) %configure w/o
redhat-rpm-config.

glib not building w/o redhat-rpm-config installed means something else
is broke. There is no reason for that dependency imho, smells more
like a bug to me.

In fact, now it is: 

73 de Jeff
Comment 1 Owen Taylor 2003-04-23 15:13:21 EDT
Could someone give me a build log with the failure? Is this glib
or glib2?
Comment 2 Aaron Hanson 2003-04-23 16:12:23 EDT
Created attachment 91261 [details]
log of failed glib build

Notes:
On other systems, one of the first things the %configure macro does is copy
config.guess and config.sub files to the build directory. That doesn't happen
here. Then it is decided that libtool doesn't support shared libraries, and
thus no shared libs are built.
Comment 3 Matthias Clasen 2005-09-14 14:17:30 EDT
Please try to reproduce this against a supported release and reopen if you can.

Note You need to log in before you can comment on or make changes to this bug.